Last updated: September 23, 2026

Create Policy

Create Policy.

Request

POSThttps://superadminuser.miniorange.in/services/api/apps/v1/authen-policies

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
appStringOptional
groupStringOptional
policyNameStringOptional
firstFactorAuthTypeStringOptional
isSecondFactorMandatoryStringOptional
secondFactorAuthTypeStringOptional
enableRbaDeviceStringOptional
enableRbaLocationStringOptional
enableRbaTimeOfAccessStringOptional
enableRbaIPStringOptional
force_2faOnLoginStringOptional
isEndUserSecondFactorEnabledStringOptional
checkDeviceIdStringOptional
adaptivePolicyStringOptional

Request body

{
    "app": {
        "id": "9e5c1142-6587-11f1-81c8-92e868ed51b9",
        "name": "My Desktop App"
    },
    "group": {
        "id": "249065cc-9892-4f57-8d42-2aa1ea00a250",
        "name": "Engigneering"
    },
    "policyName": "Default Policy",
    "firstFactorAuthType": "PASSWORD",
    "isSecondFactorMandatory": false,
    "secondFactorAuthType": null,
    "enableRbaDevice": false,
    "enableRbaLocation": false,
    "enableRbaTimeOfAccess": false,
    "enableRbaIP": false,
    "force_2faOnLogin": false,
    "isEndUserSecondFactorEnabled": false,
    "checkDeviceId": false,
    "adaptivePolicy": null
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied